"""===================================================================
با فرض اینکه اطلاعات ۲۵ نفر دانشجو در خواسته ۱۶۷ مطرح گردید در دو آرایه
مرتبط با هم name , info ذخیره شده اند، و در نظر گرفتن اینکه اولین درس
دارای ارزش ۴ واحد و بقیه دارای ارزش ۳ واحد می باشند، منطق برنامه ای را
طراحی کنید که معدل دانشجویان را محاسبه نماید و به همراه شماره دانشجویی
و نام هر دانشجو چاپ کند.
==================================================================="""
name = ['Mohammad Rostami', 'Mohammad Zamani']
info = [[1, 1, 20.0, 2, 20.0, 3, 20.0, 4, 20.0, 5, 20.0], [2, 1, 12.0, 2, 13.0, 3, 14.0, 4, 15.0, 5, 16.0]]

for i in range(len(name)):
    sigma = 0
    unit = 0
    for j in range(2,len(info[i]),2):
        if j == 2:
            sigma += 4*info[i][j]
            unit+=4
        else:
            sigma += 3*info[i][j]
            unit+=3
    average = sigma/unit
    print("="*40,"\nName:",name[i],"\tID:",info[i][0],"\t==>\t","Average:",\
          average)


